Create a Webhook
curl --request POST \
--url https://api.hel.io/v1/webhook/paylink/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"targetUrl": "<string>",
"paylinkId": "<string>"
}
'import requests
url = "https://api.hel.io/v1/webhook/paylink/api-key"
payload = {
"name": "<string>",
"targetUrl": "<string>",
"paylinkId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', targetUrl: '<string>', paylinkId: '<string>'})
};
fetch('https://api.hel.io/v1/webhook/paylink/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234567890abcdef12345678",
"name": "Example Webhook",
"targetUrl": "https://example.com/webhook",
"inactive": false,
"createdAt": "2025-06-25T00:00:00.000Z",
"paylink": "abcdef1234567890abcdef12",
"isGlobal": true,
"sharedToken": "dummySharedToken1234567890+/exampletoken=="
}{
"message": "Api key or token is invalid",
"code": 401
}WEBHOOKS
Create a Webhook
Create a global or pay link webhook using this endpoint. To create a global webhook, do not specify a paylinkId.
POST
/
v1
/
webhook
/
paylink
/
api-key
Create a Webhook
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Query Parameters
Your API key can be generated on the Helio Dashboard’s settings page.
Body
application/json
⌘I
